### Method

# Gio SubprocessLauncher set_flags

since: 2.40

#### Declaration

    void
    g_subprocess_launcher_set_flags (
      GSubprocessLauncher* self,
      GSubprocessFlags flags
    )

#### Description

Sets the flags on the launcher.

The default flags are `G_SUBPROCESS_FLAGS_NONE`.

You may not set flags that specify conflicting options for how to handle a particular stdio stream (eg: specifying both `G_SUBPROCESS_FLAGS_STDIN_PIPE` and `G_SUBPROCESS_FLAGS_STDIN_INHERIT`).

You may also not set a flag that conflicts with a previous call to a function like `g_subprocess_launcher_set_stdin_file_path()` or g_subprocess_launcher_take_stdout_fd().

Available since: 2.40

#### Parameters

`flags`

  Type: `GSubprocessFlags`

  `GSubprocessFlags`.